#! /bin/perl

print "start\n";

use SOAP::Lite;
print SOAP::Lite
 -> proxy('http://localhost:8000')
 -> returnOne()
 -> result;

print "\n";

use SOAP::Lite;
$a1 = SOAP::Lite
 -> proxy('http://localhost:8000')
 -> returnArray1();

if ( $a1->fault ) {
  print "fault\n";
} else {
  print "okay\n";
}

print '[';
@items = @{$a1->result};
foreach $item (@items) {
  print $item;
  print ', ';
}
print "]\n";

use SOAP::Lite;
$a2 = SOAP::Lite
 -> proxy('http://localhost:8000')
 -> returnArray2();

if ( $a2->fault ) {
  print "fault\n";
} else {
  print "okay\n";
}

print '[';
@items = @{$a2->result};
foreach $item (@items) {
  print $item;
  print ', ';
}
print "]\n";

use SOAP::Lite;
$d1 = SOAP::Lite
 -> proxy('http://localhost:8000')
 -> returnDict1();

if ( $d1->fault ) {
  print "fault\n";
} else {
  print "okay\n";
}

print '{';
$result = $d1->result;
foreach my $key (keys %{$result}) {
  print $key, ": ", $result->{$key};
  print ', ';
}
print "}\n";

use SOAP::Lite;
$d2 = SOAP::Lite
 -> proxy('http://localhost:8000')
 -> returnDict2();

if ( $d2->fault ) {
  print "fault\n";
} else {
  print "okay\n";
}

print '{';
$result = $d2->result;
foreach my $key (keys %{$result}) {
  print $key, ": ", $result->{$key};
  print ', ';
}
print "}\n";

print "end\n";
