#! /usr/bin/env python

import zsirpc
import functions

def _dispatch(method,params):
  if method[:1] == '_' or not hasattr(functions,method):
    raise zsirpc.ServiceFailure(zsirpc.SERVER_METHOD_UNAVAILABLE,
     zsirpc.SERVER_METHOD_UNAVAILABLE_MESSAGE,"soap-server","")
  callback = getattr(functions,method)
  return apply(callback,params)

zsirpc.soap.asCGI(_dispatch)
